Bug 1784552 - [RFE] Disable Users in Satellite
Summary: [RFE] Disable Users in Satellite
Keywords:
Status: POST
Alias: None
Product: Red Hat Satellite
Classification: Red Hat
Component: Users & Roles
Version: 6.6.0
Hardware: x86_64
OS: Linux
medium
medium
Target Milestone: 7.0.0
Assignee: Dominik Matoulek
QA Contact: Radovan Drazny
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2019-12-17 17:10 UTC by Vikas Wariyal
Modified: 2021-01-11 14:57 UTC (History)
4 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed:
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Foreman Issue Tracker 28850 Normal Closed Add ability to disable Users 2021-01-07 14:48:47 UTC
Foreman Issue Tracker 28973 Normal Closed Add disable option to User 2021-01-07 14:48:11 UTC

Description Vikas Wariyal 2019-12-17 17:10:52 UTC
Description of problem:

Need the ability to Disable/Lock users in Satellite 6


Version-Release number of selected component (if applicable):

6.6

How reproducible:

Satellite GUI -> Administer -> Users 

Steps to Reproduce:

There is no option in Satellite to disable users under :  Satellite GUI -> Administer -> Users 

Actual results:

There is no option in Satellite to disable users

Expected results:

Need an additional button to disable users temporarily which can later be enabled.

Additional info:

Current workaround is to remove the assigned roles , Organization & Location of the user so that he can't perform any operation in the Satellite.

Comment 4 Dominik Matoulek 2020-01-23 14:59:10 UTC
Created redmine issue https://projects.theforeman.org/issues/28850 from this bug

Comment 5 Bryan Kearney 2020-05-11 16:02:21 UTC
Upstream bug assigned to dmatoule@redhat.com

Comment 6 Bryan Kearney 2020-05-11 16:02:24 UTC
Upstream bug assigned to dmatoule@redhat.com

Comment 8 Bryan Kearney 2020-05-17 08:02:07 UTC
Moving this bug to POST for triage into Satellite 6 since the upstream issue https://projects.theforeman.org/issues/28850 has been resolved.


Note You need to log in before you can comment on or make changes to this bug.